### Property

# Gtk Stack:transition-type

#### Declaration

    property transition-type: Gtk.StackTransitionType [ read, write ]

#### Description [src]

The type of animation used to transition.

Type: | `GtkStackTransitionType`

Default value | GTK_STACK_TRANSITION_TYPE_NONE
Getter method | `gtk_stack_get_transition_type()`
Setter method | `gtk_stack_set_transition_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no